The Java Runtime Environment (JRE) is not installed on this device, or the installed JRE version is older than version 1.5

The Java Runtime Environment (JRE) is not installed on this device, or the installed JRE version is older than version 1.5

  • Comments 6
  • Likes

 

UAG 2010 includes web browser support for both Safari and Firefox browsers running on Macintosh clients with OS X versions 1.3 and higher. The supported Client Components for the above browser/platform combinations are:

Endpoint Session Cleanup

Endpoint detection

SSL Application Tunneling

The Client Components for these browsers are Java based. When one of these clients makes an initial connection to UAG, a Java Applet is installed that provides the above functionality.

Please see the following Microsoft TechNet article for more information regarding requirements for UAG clients:

System Requirements for Forefront UAG client devices

 

However, you may find that some of these clients display the following message when connecting to UAG.

 

clip_image002

 

After receiving this message, you might check your browser settings and find that the browser is indeed configured to allow Java Applets. Next, you may want to check the Mac client to verify that a Java Runtime Environment is indeed installed.

One easy method to verify that JRE is installed…and to verify the version…is to run the following command in the Terminal window.

Sudo /usr/libexec/java_home

If JRE is installed, you should see output similar to the following:

/System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home

The above output sample indicates that JRE version 1.6.0.x is installed.

After receiving the above notification, you may choose the “continue” link to go to the UAG login page with “limited site functionality”. Once you reach the portal page, if you select the “System Information” button, you may see information similar to the following:

 

clip_image004

 

As you can see, the System Information output clearly indicates that “Endpoint Detection” is not installed and that a “Sun JRE Version” was not detected. This may lead you to believe that there is some problem with your JRE installation and/or your installed version may not be compatible with UAG 2010. However, before coming to this conclusion, please see the following support statement from Apple.

About the security content of Java for OS X 2012-004 and Java for Mac OS X 10.6 Update 9

 

Starting with the Java 2012-004 update in Mac OS X, significant changes have been made regarding the handling of Java. One of those changes is to disable the Java plug-in for those that do not use it…or use it infrequently. To check the status of the plug-in and/or re-enable Java Applet support in Mac OS X, launch “Java Preferences” which is located under Applications-Utilities. In “Java Preferences” make sure that “Enable applet plug-in and Web Start applications” is selected.

 

clip_image006

 

After selecting this option, make sure to restart the browser. Now that the Java Applet is enabled, the next time you hit the UAG portal, you will hopefully receive a dialog indicating that an applet is requesting access to your computer. Once you select “Allow” in this dialog, the UAG Java applet will install and should proceed to the UAG login form.

Once you login to the portal, select the “System Information” button again. This time, it should look similar to the following:

 

clip_image008

 

Note that “Endpoint Detection” and “Device Session Cleanup” are now enabled and the JRE version is successfully detected.

 

Author

Richard Barker - Sr Security Support Escalation Engineer, Microsoft CSS Forefront Security Edge Team

Comments
  • is this connected to any of the microsoft components............

  • In the latest updates for OS X 10.6, 10.7 and 10.8 Apple has removed the Java Preferences utility. How can we handle the above describes situation when not being able to enable the Java Applet? Any ideas??

  • I have the same question as Zehra. Any comment?

  • RE Java Utility, I found it in system preferences in Mountain Lion

    HTH

  • Anyone have a response to 10.6, 10.7, 10.8 for this?

  • There are work arounds that are quite straight forward for 10.6 usually requires rolling back the OS and changing Java preferences. However 10.7 and 10.8 are an issue.

Your comment has been posted.   Close
Thank you, your comment requires moderation so it may take a while to appear.   Close
Leave a Comment